=== debian/changelog ===
ros-foxy-depthai-ros-driver (2.7.1-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Adam Serafin <adam.serafin@luxonis.com>  Tue, 25 Apr 2023 10:44:11 -0000
